<id>
Create IM preferences file for Advanced Instant Message Box - SP1
</id>

<version>
1.1
</version>

<mod info>
Creates a default (username).imconfig file upon a new user registering.
This mod REQUIRES "advanced_imbox_sp1_11.mod" that enables Admin to send "Welcome IM".
You must have enabled IM Popup's or IM Sounds or both for this to be useful.
You should have at least one ".wav" file in your Sounds directory.

Seeing how this mod's intent is to "force" the user to have by default "Popup" and/or "Sound"
notification enabled, you might suggest to your new user in the "Welcome IM", that they have the 
ability to turn off these forced notifications by going to "Preferences" should they desire to.

Files to be uploaded upon completion:
english.lng
Sources/Register.pl
Sources/AdminEdit.pl
(soundsdir)/YouveGotMail.wav
(soundsdir)/ICQEMail.wav
(soundsdir)/HeyBaby.wav

Credits:
dOCda S! for Advanced Instant Message Box - SP1 version 1.1
Robert Winslow for The IM Sound Notification as credited by dOCda S
DummyProof for CreateIMDat

V1.1:
- added ability to select a default sound in Admin center
</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>
$cimdtxt{'01'} = "Create new user Default IM settings?";
</add after>

<edit file>
Sources/Register.pl
</edit file>

<search for>
	&FormatUserName($member{'username'});
</search for>

<add after>
	if($createimdat) {
		$uname = $member{'username'};
		$ignorelist = " ";
		$notify = "0";
		$sound=" ";
		$popup=" ";
		if($enable_mailsounds) {$sound = $defsound;}
		if($enable_mailpopup) {$popup = "on";}
		fopen(FILE, ">$memberdir/$uname.imconfig");
		print FILE "$ignorelist\n$notify\n$sound\n$popup\n";
		fclose(FILE);
	}
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add before>
	if ($createimdat) { $cidchecked = ' checked'; }
</add before>

<search for>
	my($menuchecked, $ubbcchecked, $aluchecked, $cpchecked, $pbchecked, $insertchecked, $newschecked, $gpchecked, $notifchecked);
</search for>

<add after>
	my($cidchecked);
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="numibox" size="5" value="$numibox"></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$cimdtxt{'01'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="createimdat"$cidchecked></td>
  </tr>
~;
opendir(DIR, "$soundsdir") || fatal_error("$txt{'230'} ($soundsdir)!<BR>$imtxt{'27'}");
@contents = readdir(DIR);
closedir(DIR);
$sounds = "";
$sounds .= qq~<option value="blank.wav"$checked>$imtxt{'28'} \n~;
foreach $line (sort @contents)
{
	($name, $extension) = split (/\./, $line);
	$checked = "";
	if ($line eq $defsound) { $checked = ' selected'; }
	if ($defsound =~ m~\Ahttp://~ && $line eq 'blank.wav') { $checked = ' selected'; }
	if ($extension =~ /wav/i )
	{
		if ($line eq 'blank.wav') { 
			$name = $imtxt{'28'}; 
		}
		$sounds .= qq~<option value="$line"$checked>$name\n~;
	}
}
if ($defsound =~ m~\Ahttp://~) {
	$snd = 'blank.wav';
	$checked = ' selected';
	$tmp = $defsound;
}
else {
	$snd = $defsound;
	$tmp = 'http://';
}
$yymain .= qq~
<bgsound id="sound">
<script language="JavaScript1.2" type="text/javascript">
<!--
function playSound() { document.all.sound.src = "$soundsurl/"+document.all.defsound.options[document.all.defsound.selectedIndex].value; }
//-->
</script>	
  <tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$imtxt{'24'} $txt{'142'} $imtxt{'29'}:</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><select name="defsound" size="1"onChange="playSound()">$sounds</select></td>
  </tr><tr>
</add after>

<search for>
	$numibox = $FORM{'numibox'} || 20;
</search for>

<add before>
	$defsound = $FORM{'defsound'} || 'blank.wav';
</add before>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>
	push(@onoff, "createimdat");
</add before>

<search for>
\$send_welcomeim = $send_welcomeim;
</search for>

<add after>
\$createimdat = $createimdat;				# Set to 1 to create default .imconfig for new user
\$defsound = "$defsound";				# Default sound for new users .imconfig
</add after>

